package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.TestxRepository;
import com.realnet.basicp1.Entity.Testx
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class TestxService {
@Autowired
private TestxRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public Testx Savedata(Testx data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Testx save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Testx> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Testx> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Testx> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Testx getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Testx update(Testx data,Integer id) {
	Testx old = Repository.findById(id).get();
old.setNamebbb(data.getNamebbb());

old.setDescription(data.getDescription());



final Testx test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
